@echo off
pushd %~DP0
set mypath="%appdata%\REAPER\LangPack"
if not exist %mypath% md %mypath%
echo 正在安装汉化包.
copy /y *.ReaperLangPack %mypath%
::创建桌面快捷方式
echo set a = CreateObject("WScript.Shell")>tmp.vbs
echo set b = a.CreateShortcut(a.SpecialFolders("Desktop") ^& "\Reaper音乐编辑.lnk")>>tmp.vbs
echo 正在生成快捷方式.
echo b.TargetPath ="%~dp0reaper.exe">>tmp.vbs
echo b.WorkingDirectory = "%~dp0">>tmp.vbs
echo b.IconLocation = "%~dp0reaper.exe">>tmp.vbs
echo b.Description = "">>tmp.vbs
echo b.Save>>tmp.vbs
wscript tmp.vbs
echo 桌面快捷方式图标生成完毕.
echo.
echo.
echo.
echo.
echo.
del tmp.vbs
echo 如果不小心点击了升级，可能会出现破解丢失，这就得重新破解
echo 注册机使用方法，双击注册机，选GENERATE，粘贴入当前文件夹位置即可。
echo.
echo.如果安装新版本，则需按以下方法破解:
echo 1、PATCH，选择REAPER7.11所在文件夹的reaper.exe
echo 2、GENERATE，粘贴入当前文件夹位置即可。
echo.
echo 按任意键退出...
pause >nul
